# $Revision: 1.7 $, $Date: 2004/03/15 22:08:44 $
Summary:	Library and tool that solves linear programming problem
Summary(pl):	Biblioteka i narzdzie do rozwizywania problemu programowania liniowego
Name:		lp_solve
Version:	4.0
Release:	2
License:	LGPL
Group:		Libraries
Source0:	ftp://ftp.ics.ele.tue.nl/pub/lp_solve/%{name}_%{version}.tar.gz
# Source0-md5:	58892f708d7f78664bce80c1ebc250f9
Patch0:		%{name}-shared.patch
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library and tool that solves linear programming problem using Simplex
algorithm.

%description -l pl
Biblioteka i narzdzie do rozwizywania problemu programowania
liniowego przy uyciu algorytmu Simplex.

%package devel
Summary:	liblpk header files
Summary(pl):	Pliki nagwkowe biblioteki liblpk
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
liblpk header files.

%description devel -l pl
Pliki nagwkowe biblioteki liblpk.

%package static
Summary:	Static liblpk library
Summary(pl):	Statyczna biblioteka liblpk
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static liblpk library.

%description static -l pl
Statyczna biblioteka liblpk.

%prep
%setup -q -n %{name}_%{version}
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	OPT="%{rpmcflags}" \
	libdir=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{_libdir}

rm -f lp_examples/*.{out,mps}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGELOG MIPLIB_RESULTS MPS.description NETLIB_RESULTS README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%doc HARTMUT_DOCUMENTATION SOSInterpolation.pdf lp_examples
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lp_solve.spec,v $
Revision 1.7  2004/03/15 22:08:44  qboosh
- lib64 fixes, release 2

Revision 1.6  2004/03/15 00:02:25  qboosh
- strict internal deps

Revision 1.5  2003/08/01 13:40:15  qboosh
- merged 4.0 from DEVEL

Revision 1.1.2.3  2003/07/11 01:34:19  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.1.2.2  2003/01/15 21:12:06  qboosh
- up to final 4.0 (still DEVEL - perl-Math-LP-Solve is not ready for this ver.)
- added --mode for libtool in shared patch

Revision 1.1.2.1  2002/12/08 19:29:22  qboosh
- prepared for 4.0 (beta1 - not usable yet)
